#
# spec file for package python3-curtsies
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-curtsies
Version:        0.2.11
Release:        1.1
Summary:        Curses-like terminal wrapper, with colored strings!
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/thomasballinger/curtsies
Source:         https://files.pythonhosted.org/packages/source/c/curtsies/curtsies-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-blessings
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-pyte
BuildRequires:  python3-setuptools
Requires:       python3-blessings
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Curses-like terminal wrapper with a display based on compositing 2d
arrays of text.

%prep
%setup -q -n curtsies-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%doc readme.md LICENSE

%changelog
* Wed Dec  7 2016 arun@gmx.de
- update to version 0.2.11:
  (no changelog available)
- changes from version 0.2.10:
  * add sequences for home and end keys
* Sun Oct  2 2016 arun@gmx.de
- update to version 0.2.9:
  * fix #90 again
  * strip ansi escape sequences if parsing fmtstr input fails
  * prevent invalid negative cursor positions in CursorAwareWindow
    (fixes bpython #607)
  * '\x1bOA' changed from ctrl-arrow key to arrow key (fixes bpython
    [#621])
  * alternate codes for F1-F4 (fixes bpython #626)
- changes from version 0.2.8:
  * Prevent negative cursor row.
  * Change bad arrow key binding
  * update changelog
  * add parsing fallback of stripping ansi seqs
  * fix #90 again, test this time
- changes from version 0.2.7:
  * fix link in readme
  * add changelog
  * add codes for F1-F4
  * add python 3.5 to testing matrix
  * skip stdin tests on Travis
  * Added support for the shorthand ESC[m, which is equivalent to
    ESC[0m
  * fix spelling in docs amound -> amount
  * fix Blessings example t -> term
  * add some docs
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan 30 2016 arun@gmx.de
- update to version 0.2.6:
  * version bump after fixing debian tests again
  * Check isatty instead
- changes from version 0.2.5:
  * bump version for bpython0.15rc1
  * detect notatty the right way
  * skip tests when blessings Terminal can't be made
  * add a doctest to peel_off_esc_code
  * fix unicode -> bytes
  * shorter comment
  * add keys
* Sat Jan  2 2016 arun@gmx.de
- update to version 0.2.4:
  * bump version for FmtStr equality fix
  * fix #84 equality of FmtStr objects and nonstrings
  * fix #76
  * added keys, fixes #78
  * Fix arguments given to split
  * fix example broken in main example
  * disable ctrl-y (dsusp) on OSX
  * Allow empty reads when interrupted
  * fix travis irc announce link
* Fri Feb 27 2015 arun@gmx.de
- update to version 0.2.3:
  * add home and enter keys as reported by @amorozov
  * add travis notification
  * fix Python 3 test
  * fix saving initial input
  * add failing test for losing initial input
* Fri Feb 20 2015 arun@gmx.de
- update to version 0.2.2:
  * start doing wheels
- changes from version 0.2.1:
  * Linting
  * fixes some formatting
  * fixed various formatting issues
  * write bytes to stdout in Python 2
  * add ljust and rjust
  * bpython is no longer needef for tests
  * fix bad docstring test
  * Remove curtsies-bpythonparse (fixes #44)
  * docs fix
  * use official wcwidth because changes were pushed upstream!
  * fix gameexample
  * Remove Nick's contribution - it was to bpython, not Curtsies
  * fix docs link
  * better realtime example
  * remove index
  * more docs text
  * move examples down
  * another example
  * try adding toc back
  * fix chat example
  * move back to multiple page default
  * another fmtstr example
  * hackily describe sections for ReadTheDocs theme
  * clarify keypress string docs
  * workaround for weird doubled error message
  * add missing examples
  * fix py3 tests
  * move to single page docs
  * always cbreak, stub it in tests
  * keep doc headings consistent
  * input docs
  * make wait_for_read_ready_or_timeout private
  * more input documentation
  * input docs
  * make Input.Nonblocking private
  * fix weird arrow keypresses (not tested)
  * fix demo scroll regression from 50 commits ago
  * fixes from quantifiedcode + docs fixes
  * Showing the ESC message before any keypress
  * strings to unicode
  * made o and x strings into unicode
  * Fixed link in about.rst by adding space
  * Window documentation
  * improve docs
  * formatting
  * readme docs badge
  * fix links
  * deeper TOC
  * update readme
  * doc formatting
  * formatting in input
  * improve input docs
  * fix title of input
  * fix docs build
  * rewrite readme now that there are docs
  * add docs requirements.txt file, fix builds
* Tue Feb 17 2015 arun@gmx.de
- initial version
